********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### ttime ###
c
c     Returns cpu time in seconds
c
      subroutine ttime(t)
      real*8 t      
      real*4 et,etime, time(2)
c      real*4 a,b
c     real*4 second
c
c     usage: 
c     etime - Convex, Sun, Intel (Linux) 
c     second - Cray 
c     mclock - RS6000 (current process time in 1/100 sec.)
c     getusedcpu - machine independent

      et=etime(time)
      t=dble(time(1))

c     t=dble(second())
c     t=dble(mclock())/100.d0
c     
c     generic (hopefully)
c      call getusedcpu(a , b)
c      t=dble(a)
      return
      end


